{$if not def INTUITION_INTUITION_H} CONST INTUITION_INTUITION_H=0;

{ ***********************************************************************
  ** KickPascal-Include-Datei "intuition/intuition.h" zu Kickstart 3.0 **
  *********************************************************************** }

TYPE p_MenuItem = ^MenuItem;
TYPE p_Gadget = ^Gadget;
TYPE p_Border = ^Border;
TYPE p_IntuiText = ^IntuiText;
TYPE p_Image = ^Image;
TYPE p_Window = ^Window;
TYPE p_PropInfo = ^PropInfo;
TYPE p_Menu = ^Menu;
TYPE p_Requester = ^Requester;
TYPE p_BoolInfo = ^BoolInfo;
TYPE p_StringInfo = ^StringInfo;
TYPE p_EasyStruct = ^EasyStruct;
TYPE p_ColorSpec = ^ColorSpec;
TYPE p_Remember = ^Remember;
TYPE p_ExtNewWindow = ^ExtNewWindow;
TYPE p_NewWindow = ^NewWindow;
TYPE p_IBox = ^IBox;
TYPE p_IntuiMessage = ^IntuiMessage;
TYPE p_TabletData = ^TabletData;
TYPE p_TabletHookData = ^TabletHookData;


TYPE IBox = RECORD { wird von anderen Include-Dateien bentigt }
 Left   : Integer;
 Top    : Integer;
 Width  : Integer;
 Height : Integer;
END;


{$if not def DEVICES_KEYMAP_H;incl "devices/keymap.h";endif}
{$if not def GRAPHICS_GFX_H;incl "graphics/gfx.h";endif}
{$if not def GRAPHICS_CLIP_H;incl "graphics/clip.h";endif}
{$if not def GRAPHICS_VIEW_H;incl "graphics/view.h";endif}
{$if not def GRAPHICS_RASTPORT_H;incl "graphics/rastport.h";endif}
{$if not def GRAPHICS_LAYERS_H;incl "graphics/layers.h";endif}
{$if not def GRAPHICS_TEXT_H;incl "graphics/text.h";endif}
{$if not def EXEC_PORTS_H;incl "exec/ports.h";endif}
{$if not def DEVICES_INPUTEVENT_H;incl "devices/inputevent.h";endif}
{$if not def UTILITY_TAGITEM_H;incl "utility/tagitem.h";endif}
{$if not def INTUITION_SGHOOKS_H;incl "intuition/sghooks.h";endif}


TYPE Menu = RECORD
 NextMenu  : p_Menu;
 LeftEdge  : Integer;
 TopEdge   : Integer;
 Width     : Integer;
 Height    : Integer;
 Flags     : Word;
 MenuName  : Str;
 FirstItem : p_MenuItem;
 JazzX     : Integer;
 JazzY     : Integer;
 BeatX     : Integer;
 BeatY     : Integer;
END;

CONST
 MENUENABLED = $0001;
 MIDRAWN     = $0100;


TYPE MenuItem = RECORD
 NextItem      : p_MenuItem;
 LeftEdge      : Integer;
 TopEdge       : Integer;
 Width         : Integer;
 Height        : Integer;
 Flags         : Word;
 MutualExclude : LongInt;
 ItemFill      : Ptr;
 SelectFill    : Ptr;
 Command       : Char;
 SubItem       : p_MenuItem;
 NextSelect    : Word;
END;

CONST 
 CHECKIT     = $0001;
 ITEMTEXT    = $0002;
 COMMSEQ     = $0004;
 MENUTOGGLE  = $0008;
 ITEMENABLED = $0010;
 HIGHFLAGS   = $00C0;
 HIGHIMAGE   = $0000;
 HIGHCOMP    = $0040;
 HIGHBOX     = $0080;
 HIGHNONE    = $00C0;

 CHECKED     = $0100;
 ISDRAWN     = $1000;
 HIGHITEM    = $2000;
 MENUTOGGLED = $4000;


TYPE Requester = RECORD
 OlderRequest : p_Requester;
 LeftEdge     : Integer;
 TopEdge      : Integer;
 Width        : Integer;
 Height       : Integer;
 RelLeft      : Integer;
 RelTop       : Integer;
 ReqGadget    : p_Gadget;
 ReqBorder    : p_Border;
 ReqText      : p_IntuiText;
 Flags        : Word;
 BackFill     : Byte;
 ReqLayer     : p_Layer;
 ReqPad1      : ARRAY[0..31] OF Byte;
 ImageBMap    : p_BitMap; 
 RWindow      : p_Window;
 ReqImage     : p_Image;
 ReqPad2      : ARRAY[0..31] Of Byte;
END;

CONST
 POINTREL      = $0001;
 PREDRAWN      = $0002;
 NOISYREQ      = $0004;
 SIMPLEREQ     = $0010;
 USEREQIMAGE   = $0020;
 NOREQBACKFILL = $0040;
 REQOFFWINDOW  = $1000;
 REQACTIVE     = $2000;
 SYSREQUEST    = $4000;
 DEFERREFRESH  = $8000;


TYPE Gadget = RECORD
 NextGadget    : p_Gadget;
 LeftEdge      : Integer;
 TopEdge       : Integer;
 Width         : Integer;
 Height        : Integer;
 Flags         : Word;
 Activation    : Word;
 GadgetType    : Word;
 GadgetRender  : Ptr;
 SelectRender  : Ptr;
 GadgetText    : p_IntuiText;
 MutualExclude : LongInt;
 SpecialInfo   : Ptr;
 GadgetID      : Word;
 UserData      : Ptr;
END;

TYPE ExtGadget = RECORD
 NextGadget    : p_Gadget;
 LeftEdge      : Integer;
 TopEdge       : Integer;
 Width         : Integer;
 Height        : Integer;
 Flags         : Word;
 Activation    : Word;
 GadgetType    : Word;
 GadgetRender  : Ptr;
 SelectRender  : Ptr;
 GadgetText    : p_IntuiText;
 MutualExclude : LongInt;
 SpecialInfo   : Ptr;
 GadgetID      : Word;
 UserData      : Ptr; 
 
 MoreFlags     : Long;
 BoundsLeftEdge: Integer;
 BoundsTopEdge : Integer;
 BoundsWidth   : Integer;
 BoundsHeight  : Integer;
END;

CONST { diese Konstanten werden von "intuition/iobsolete" bentigt ! }
 GFLG_GADGHIGHBITS = $0003;
 GFLG_GADGHCOMP    = $0000;
 GFLG_GADGHBOX     = $0001;
 GFLG_GADGHIMAGE   = $0002;
 GFLG_GADGHNONE    = $0003;
 GFLG_GADGIMAGE    = $0004;

 GFLG_RELBOTTOM    = $0008;
 GFLG_RELRIGHT     = $0010;
 GFLG_RELWIDTH     = $0020;
 GFLG_RELHEIGHT    = $0040;

 GFLG_RELSPECIAL   = $4000;
 GFLG_SELECTED     = $0080;
 GFLG_DISABLED     = $0100;

 GFLG_LABELMASK    = $3000;
 GFLG_LABELITEXT   = $0000;
 GFLG_LABELSTRING  = $1000;
 GFLG_LABELIMAGE   = $2000;

 GFLG_TABCYCLE     = $0200;
 GFLG_STRINGEXTEND = $0400;
 GFLG_IMAGEDISABLE = $0800;
 GFLG_EXTENDED     = $8000;

 GACT_RELVERIFY    = $0001;
 GACT_IMMEDIATE    = $0002;
 GACT_ENDGADGET    = $0004;

 GACT_FOLLOWMOUSE  = $0008;

 GACT_RIGHTBORDER  = $0010;
 GACT_LEFTBORDER   = $0020;
 GACT_TOPBORDER    = $0040;
 GACT_BOTTOMBORDER = $0080;
 GACT_BORDERSNIFF  = $8000;

 GACT_TOGGLESELECT = $0100;
 GACT_BOOLEXTEND   = $2000;

 GACT_STRINGLEFT   = $0000;
 GACT_STRINGCENTER = $0200;
 GACT_STRINGRIGHT  = $0400;
 GACT_LONGINT      = $0800;
 GACT_ALTKEYMAP    = $1000;
 GACT_STRINGEXTEND = $2000;
 GACT_ACTIVEGADGET = $4000;


 GTYP_GADGETTYPE = $FC00;
 GTYP_SYSGADGET  = $8000;
 GTYP_SCRGADGET  = $4000;
 GTYP_GZZGADGET  = $2000;
 GTYP_REQGADGET  = $1000;

 GTYP_SIZING     = $0010;
 GTYP_WDRAGGING  = $0020;
 GTYP_SDRAGGING  = $0030;
 GTYP_WUPFRONT   = $0040;
 GTYP_SUPFRONT   = $0050;
 GTYP_WDOWNBACK  = $0060;
 GTYP_SDOWNBACK  = $0070;
 GTYP_CLOSE      = $0080;

 GTYP_BOOLGADGET = $0001;
 GTYP_GADGET0002 = $0002;
 GTYP_PROPGADGET = $0003;
 GTYP_STRGADGET  = $0004;
 GTYP_CUSTOMGADGET = $0005;
 GTYP_GTYPEMASK  = $0007;

 GMORE_BOUNDS      = $00000001;
 GMORE_GADGETHELP  = $00000002;
 GMORE_SCROLLRASTER= $00000004;
 

TYPE BoolInfo = RECORD
 Flags    : Word;
 Mask     : Ptr;
 Reserved : Long;
END;

CONST BOOLMASK = $0001;


TYPE PropInfo  = RECORD
 Flags      : Word;
 HorizPot   : Word;
 VertPot    : Word;
 HorizBody  : Word;
 VertBody   : Word;
 CWidth     : Word;
 CHeight    : Word;
 HPotRes    : Word;
 VPotRes    : Word;
 LeftBorder : Word;
 TopBorder  : Word;
END;

CONST
 AUTOKNOB       = $0001;
 FREEHORIZ      = $0002;
 FREEVERT       = $0004;
 PROPBORDERLESS = $0008;
 KNOBHIT        = $0100;
 PROPNEWLOOK    = $0010;

 KNOBHMIN = 6;
 KNOBVMIN = 4;
 MAXBODY  = $FFFF;
 MAXPOT   = $FFFF;


TYPE StringInfo = RECORD
 Buffer      : Str;
 UndoBuffer  : Str;
 BufferPos   : Integer;
 MaxChars    : Integer;
 DispPos     : Integer;
 UndoPos     : Integer;
 NumChars    : Integer;
 DispCount   : Integer;
 CLeft       : Integer;
 CTop        : Integer;
 Extension   : p_StringExtend;
 LongInt     : LongInt;
 AltKeyMap   : p_KeyMap;
END;


TYPE IntuiText = RECORD
 FrontPen  : Byte;
 BackPen   : Byte;
 DrawMode  : Byte;
 LeftEdge  : Integer;
 TopEdge   : Integer;
 ITextFont : p_textAttr;
 IText     : Str;
 NextText  : p_IntuiText;
END;


TYPE Border = RECORD
 LeftEdge   : Integer;
 TopEdge    : Integer;
 FrontPen   : Byte;
 BackPen    : Byte;
 DrawMode   : Byte;
 Count      : Short;
 XY         : Ptr;
 NextBorder : p_Border;
END;


TYPE Image = RECORD
 LeftEdge   : Integer;
 TopEdge    : Integer;
 Width      : Integer;
 Height     : Integer;
 Depth      : Integer;
 ImageData  : Ptr;
 PlanePick  : Byte;
 PlaneOnOff : Byte;
 NextImage  : p_Image;
END;


TYPE IntuiMessage = RECORD
 ExecMessage : Message;
 Class       : Long;
 Code        : Word;
 Qualifier   : Word;
 IAddress    : Ptr;
 MouseX      : Integer;
 MouseY      : Integer;
 Seconds     : Long;
 Micros      : Long;
 IDCMPWindow : p_Window;
 SpecialLink : p_IntuiMessage;
END;

TYPE ExtIntuiMessage = RECORD
 eim_IntuiMessage : IntuiMessage;
 eim_TabletData   : p_TabletData;
END;

CONST
 IDCMP_SIZEVERIFY     = $00000001;
 IDCMP_NEWSIZE        = $00000002;
 IDCMP_REFRESHWINDOW  = $00000004;
 IDCMP_MOUSEBUTTONS   = $00000008;
 IDCMP_MOUSEMOVE      = $00000010;
 IDCMP_GADGETDOWN     = $00000020;
 IDCMP_GADGETUP       = $00000040;
 IDCMP_REQSET         = $00000080;
 IDCMP_MENUPICK       = $00000100;
 IDCMP_CLOSEWINDOW    = $00000200;
 IDCMP_RAWKEY         = $00000400;
 IDCMP_REQVERIFY      = $00000800;
 IDCMP_REQCLEAR       = $00001000;
 IDCMP_MENUVERIFY     = $00002000;
 IDCMP_NEWPREFS       = $00004000;
 IDCMP_DISKINSERTED   = $00008000;
 IDCMP_DISKREMOVED    = $00010000;
 IDCMP_WBENCHMESSAGE  = $00020000;
 IDCMP_ACTIVEWINDOW   = $00040000;
 IDCMP_INACTIVEWINDOW = $00080000;
 IDCMP_DELTAMOVE      = $00100000;
 IDCMP_VANILLAKEY     = $00200000;
 IDCMP_INTUITICKS     = $00400000;

 IDCMP_IDCMPUPDATE    = $00800000;
 IDCMP_MENUHELP       = $01000000;
 IDCMP_CHANGEWINDOW   = $02000000;
 IDCMP_LONELYMESSAGE  = $80000000;


 CWCODE_MOVESIZE  = $0000;
 CWCODE_DEPTH     = $0001;
 
 MENUHOT     = $0001;
 MENUCANCEL  = $0002;
 MENUWAITING = $0003;
 
 OKOK        = MENUHOT;
 OKABORT     = $0004;
 OKCANCEL    = MENUCANCEL;

 WBENCHOPEN  = $0001;
 WBENCHCLOSE = $0002;


TYPE Window = RECORD
 NextWindow   : p_Window;
 LeftEdge     : Integer;
 TopEdge      : Integer;
 Width        : Integer;
 Height       : Integer;
 MouseY       : Integer;
 MouseX       : Integer;
 MinWidth     : Integer;
 MinHeight    : Integer;
 MaxWidth     : Word; 
 MaxHeight    : Word;
 Flags        : Long;
 MenuStrip    : p_Menu;
 Title        : Str;
 FirstRequest : p_Requester;
 DMRequest    : p_Requester;
 ReqCount     : Integer;
 WScreen      : p_Screen;
 RPort        : p_RastPort;
 BorderLeft   : Short;
 BorderTop    : Short;
 BorderRight  : Short;
 BorderBottom : Short;
 BorderRPort  : p_RastPort;
 FirstGadget  : p_Gadget;
 Parent       : p_Window;
 Descendant   : p_Window;
 Pointer      : Ptr;
 PtrHeight    : Short;
 PtrWidth     : Short;
 XOffset      : Short;
 YOffset      : Short;
 IDCMPFlags   : Long;
 UserPort     : p_MsgPort
 WindowPort   : p_MsgPort;
 MessageKey   : p_IntuiMessage;
 DetailPen    : Byte;
 BlockPen     : Byte;
 CheckMark    : p_Image;
 ScreenTitle  : Str;
 GZZMouseX    : Integer;
 GZZMouseY    : Integer;
 GZZWidth     : Integer;
 GZZHeight    : Integer;
 ExtData      : Ptr;
 UserData     : Ptr;
 WLayer       : p_Layer;
 IFont        : p_TextFont;
 MoreFlags    : Long;
END;

CONST
 WFLG_SIZEGADGET     = $00000001;
 WFLG_DRAGBAR        = $00000002;
 WFLG_DEPTHGADGET    = $00000004;
 WFLG_CLOSEGADGET    = $00000008;
 WFLG_SIZEBRIGHT     = $00000010;
 WFLG_SIZEBBOTTOM    = $00000020;

 WFLG_REFRESHBITS    = $000000C0;
 WFLG_SMART_REFRESH  = $00000000;
 WFLG_SIMPLE_REFRESH = $00000040;
 WFLG_SUPER_BITMAP   = $00000080;
 WFLG_OTHER_REFRESH  = $000000C0;
 WFLG_BACKDROP       = $00000100;
 WFLG_REPORTMOUSE    = $00000200;
 WFLG_GIMMEZEROZERO  = $00000400;
 WFLG_BORDERLESS     = $00000800;
 WFLG_ACTIVATE       = $00001000;
 WFLG_RMBTRAP        = $00010000;
 WFLG_NOCAREREFRESH  = $00020000;
 WFLG_NW_EXTENDED    = $00040000;
 WFLG_NEWLOOKMENUS   = $00200000;

 WFLG_WINDOWACTIVE   = $00002000;
 WFLG_INREQUEST      = $00004000;
 WFLG_MENUSTATE      = $00008000;
 WFLG_WINDOWREFRESH  = $01000000;
 WFLG_WBENCHWINDOW   = $02000000;
 WFLG_WINDOWTICKED   = $04000000;

 WFLG_VISITOR        = $08000000;
 WFLG_ZOOMED         = $10000000;
 WFLG_HASZOOM        = $20000000;

CONST DEFAULTMOUSEQUEUE = 5;


TYPE NewWindow = RECORD
 LeftEdge    : Integer;
 TopEdge     : Integer;
 Width       : Integer;
 Height      : Integer;
 DetailPen   : Byte;
 BlockPen    : Byte;
 IDCMPFlags  : Long;
 Flags       : Long;
 FirstGadget : p_Gadget;
 CheckMark   : p_Image;
 Title       : Str;
 Screen      : p_Screen;
 BitMap      : p_BitMap;
 MinWidth    : Integer;
 MinHeight   : Integer;
 MaxWidth    : Word;
 MaxHeight   : Word;
 _Type       : Word; { "_" ergnzt }
END;

TYPE ExtNewWindow = RECORD
 LeftEdge    : Integer;
 TopEdge     : Integer;
 Width       : Integer;
 Height      : Integer;
 DetailPen   : Byte;
 BlockPen    : Byte;
 IDCMPFlags  : Long;
 Flags       : Long;
 FirstGadget : p_Gadget;
 CheckMark   : p_Image;
 Title       : Str;
 Screen      : p_Screen;
 BitMap      : p_BitMap;
 MinWidth    : Integer;
 MinHeight   : Integer;
 MaxWidth    : Word;
 MaxHeight   : Word;
 _Type       : Word; { "_" ergnzt }
 Extension   : p_TagItem;
END;


CONST
 WA_Dummy         = (TAG_USER+99);
 WA_Left          = (WA_Dummy+$01);
 WA_Top           = (WA_Dummy+$02);
 WA_Width         = (WA_Dummy+$03);
 WA_Height        = (WA_Dummy+$04);
 WA_DetailPen     = (WA_Dummy+$05);
 WA_BlockPen      = (WA_Dummy+$06);
 WA_IDCMP         = (WA_Dummy+$07);

 WA_Flags         = (WA_Dummy+$08);
 WA_Gadgets       = (WA_Dummy+$09);
 WA_Checkmark     = (WA_Dummy+$0A);
 WA_Title         = (WA_Dummy+$0B);

 WA_ScreenTitle   = (WA_Dummy+$0C);
 WA_CustomScreen  = (WA_Dummy+$0D);
 WA_SuperBitMap   = (WA_Dummy+$0E);

 WA_MinWidth      = (WA_Dummy+$0F);
 WA_MinHeight     = (WA_Dummy+$10);
 WA_MaxWidth      = (WA_Dummy+$11);
 WA_MaxHeight     = (WA_Dummy+$12);

 WA_InnerWidth    = (WA_Dummy+$13);
 WA_InnerHeight   = (WA_Dummy+$14);
 WA_PubScreenName = (WA_Dummy+$15);
 WA_PubScreen     = (WA_Dummy+$16);
 WA_PubScreenFallBack = (WA_Dummy+$17);
 WA_WindowName    = (WA_Dummy+$18);
 WA_Colors        = (WA_Dummy+$19);
 WA_Zoom          = (WA_Dummy+$1A);

 WA_MouseQueue    = (WA_Dummy+$1B);
 WA_BackFill      = (WA_Dummy+$1C);
 WA_RptQueue      = (WA_Dummy+$1D);

 WA_SizeGadget    = (WA_Dummy+$1E);
 WA_DragBar       = (WA_Dummy+$1F);
 WA_DepthGadget   = (WA_Dummy+$20);
 WA_CloseGadget   = (WA_Dummy+$21);
 WA_Backdrop      = (WA_Dummy+$22);
 WA_ReportMouse   = (WA_Dummy+$23);
 WA_NoCareRefresh = (WA_Dummy+$24);
 WA_Borderless    = (WA_Dummy+$25);
 WA_Activate      = (WA_Dummy+$26);
 WA_RMBTrap       = (WA_Dummy+$27);
 WA_WBenchWindow  = (WA_Dummy+$28);
 WA_SimpleRefresh = (WA_Dummy+$29);
 WA_SmartRefresh  = (WA_Dummy+$2A);

 WA_SizeBRight    = (WA_Dummy+$2B);
 WA_SizeBBottom   = (WA_Dummy+$2C);

 WA_AutoAdjust    = (WA_Dummy+$2D);
 WA_GimmeZeroZero = (WA_Dummy+$2E);
 WA_MenuHelp      = (WA_Dummy+$2F);

 WA_NewLookMenus  = (WA_Dummy+$30);
 WA_AmigaKey      = (WA_Dummy+$31);
 WA_NotifyDepth   = (WA_Dummy+$32);

 WA_Pointer       = (WA_Dummy+$34);
 WA_BusyPointer   = (WA_Dummy+$35);
 WA_PointerDelay  = (WA_Dummy+$36);
 WA_TabletMessages= (WA_Dummy+$37);
 WA_HelpGroup     = (WA_Dummy+$38);
 WA_HelpGroupWindow = (WA_Dummy+$39);


CONST
 HC_GADGETHELP = 1;


{$if not def INTUITION_SCREENS_H;incl "intuition/screens.h";endif}
{$if not def INTUITION_PREFERENCES_H;incl "intuition/preferences.h";endif}

TYPE Remember = RECORD
 NextRemember : p_Remember;
 RememberSize : Long;
 Memory       : Ptr;
END;

TYPE ColorSpec = RECORD
 ColorIndex : Integer;
 Red        : Word;
 Green      : Word;
 Blue       : Word;
END;

TYPE EasyStruct = RECORD
 es_StructSize   : Long;
 es_Flags        : Long;
 es_Title        : Str;
 es_TextFormat   : Str;
 es_GadgetFormat : Str;
END;

CONST
 NOMENU   = $001F;
 NOITEM   = $003F;
 NOSUB    = $001F;
 MENUNULL = $FFFF;

CONST
 CHECKWIDTH    = 19;
 COMMWIDTH     = 27;
 LOWCHECKWIDTH = 13;
 LOWCOMMWIDTH  = 16;

CONST
 ALERT_TYPE     = $80000000;
 RECOVERY_ALERT = $00000000;
 DEADEND_ALERT  = $80000000;

CONST
 AUTOFRONTPEN  = 0;
 AUTOBACKPEN   = 1;
 AUTODRAWMODE  = JAM2;
 AUTOLEFTEDGE  = 6;
 AUTOTOPEDGE   = 3;
 AUTOITEXTFONT = 0;
 AUTONEXTTEXT  = 0;

CONST
 SELECTUP   = (IECODE_LBUTTON or IECODE_UP_PREFIX);
 SELECTDOWN = IECODE_LBUTTON;
 MENUUP     = (IECODE_RBUTTON or IECODE_UP_PREFIX);
 MENUDOWN   = IECODE_RBUTTON;
 MIDDLEDOWN = IECODE_MBUTTON;
 MIDDLEUP   = (IECODE_MBUTTON or IECODE_UP_PREFIX);
 ALTLEFT    = IEQUALIFIER_LALT;
 ALTRIGHT   = IEQUALIFIER_RALT;
 AMIGALEFT  = IEQUALIFIER_LCOMMAND;
 AMIGARIGHT = IEQUALIFIER_RCOMMAND;
 AMIGAKEYS  = (AMIGALEFT or AMIGARIGHT);

 CURSORUP        = $4C;
 CURSORLEFT      = $4F;
 CURSORRIGHT     = $4E;
 CURSORDOWN      = $4D;
 KEYCODE_Q       = $10;
 KEYCODE_Z       = $31;
 KEYCODE_X       = $32;
 KEYCODE_V       = $34;
 KEYCODE_B       = $35;
 KEYCODE_N       = $36;
 KEYCODE_M       = $37;
 KEYCODE_LESS    = $38;
 KEYCODE_GREATER = $39;


CONST
 TABLETA_Dummy          = (TAG_USER + $3a000);
 TABLETA_TabletZ        = (TABLETA_Dummy+$01);
 TABLETA_RangeZ         = (TABLETA_Dummy+$02);
 TABLETA_AngelX         = (TABLETA_Dummy+$03);
 TABLETA_AngelY         = (TABLETA_Dummy+$04);
 TABLETA_AngelZ         = (TABLETA_Dummy+$05);
 TABLETA_Pressure       = (TABLETA_Dummy+$06);
 TABLETA_ButtonBits     = (TABLETA_Dummy+$07);
 TABLETA_InProximity    = (TABLETA_Dummy+$08);

TYPE TabletData = RECORD
 td_XFraction : Word;
 td_YFraction : Word;
 td_TabletX   : Long;
 td_TabletY   : Long;
 td_RangeX    : Long;
 td_RangeY    : Long;
 td_TagList   : p_TagItem;
END;

TYPE TabletHookData = RECORD
 thd_Screen   : p_Screen;
 thd_Width    : Long;  
 thd_Height   : Long;
 thd_ScreenChanged : LongInt;
END;

{$if not def INTUITION_IOBSOLETE_H;incl "intuition/iobsolete.h";endif}

{$endif}
