{$if not def INTUITION_PREFERENCES_H} CONST INTUITION_PREFERENCES_H=0;

{ *************************************************************************
  ** KickPascal-Include-Datei "intuition/preferences.h" zu Kickstart 3.0 **
  ************************************************************************* }


TYPE p_Preferences = ^Preferences;

{$if not def DEVICES_TIMER_H;incl "devices/timer.h";endif}

CONST FILENAME_SIZE = 30;
      DEVNAME_SIZE  = 16;

CONST POINTERSIZE = (1+16+1)*2;

CONST
 TOPAZ_EIGHTY = 8;
 TOPAZ_SIXTY  = 9;

TYPE Preferences = RECORD
 FontHeight       : Short;
 PrinterPort      : Byte;
 BaudRate         : Word;
 KeyRptSpeed      : timeval;
 KeyRptDelay      : timeval;
 DoubleClick      : timeval;
 PointerMatrix    : ARRAY[0..POINTERSIZE-1] OF Word;
 XOffset          : Short;
 YOffset          : Short;
 color17          : Word;
 color18          : Word;
 color19          : Word;
 PointerTicks     : Word;
 color0           : Word;
 color1           : Word;
 color2           : Word;
 color3           : Word;
 ViewXOffset      : Short;
 ViewYOffset      : Short;
 ViewInitX        : Integer;
 ViewInitY        : Integer;
 EnableCLI        : Boolean;
 PrinterType      : Word;
 PrinterFilename  : String[FILENAME_SIZE];
 PrintPitch       : Word;
 PrintQuality     : Word;
 PrintSpacing     : Word;
 PrintLeftMargin  : Word;
 PrintRightMargin : Word;
 PrintImage       : Word;
 PrintAspect      : Word;
 PrintShade       : Word;
 PrintThreshold   : Integer;
 PaperSize        : Word;
 PaperLength      : Word;
 PaperType        : Word;
 SerRWBits        : Byte;
 SerStopBuf       : Byte;
 SerParShk        : Byte;
 LaceWB           : Byte;
 WorkName         : String[FILENAME_SIZE];
 RowSizeChange    : Short;
 ColumnSizeChange : Short;
 PrintFlags       : Word;
 PrintMaxWidth    : Word;
 PrintMaxHeight   : Word;
 PrintDensity     : Byte;
 PrintXOffset     : Byte;
 wb_Width         : Word;
 wb_Height        : Word;
 wb_Depth         : Byte;
 ext_size         : Byte;
END;

CONST
 LACEWB      = $1;
 LW_RESERVED = 1;

 SCREEN_DRAG = $4000;	
 MOUSE_ACCEL = $8000;

 PARALLEL_PRINTER = $00;
 SERIAL_PRINTER   = $01;

 BAUD_110   = $00;
 BAUD_300   = $01;
 BAUD_1200  = $02;
 BAUD_2400  = $03;
 BAUD_4800  = $04;
 BAUD_9600  = $05;
 BAUD_19200 = $06;
 BAUD_MIDI  = $07;

 FANFOLD = $00;
 SINGLE  = $80;

 PICA  = $000;
 ELITE = $400;
 FINE  = $800;

 DRAFT  = $000;
 LETTER = $100;

 SIX_LPI   = $000;
 EIGHT_LPI = $200;

 IMAGE_POSITIVE = $00;
 IMAGE_NEGATIVE = $01;

 ASPECT_HORIZ = $00;
 ASPECT_VERT  = $01;

 SHADE_BW        = $00;
 SHADE_GREYSCALE = $01;
 SHADE_COLOR     = $02;

 US_LETTER = $00;
 US_LEGAL  = $10;
 N_TRACTOR = $20;
 W_TRACTOR = $30;
 _CUSTOM   = $40; { "_" ergnzt }


 EURO_A0        = $50; (* European size A0: 841 x 1189 *)
 EURO_A1        = $60; (* European size A1: 594 x  841 *)
 EURO_A2        = $70; (* European size A2: 420 x  594 *)
 EURO_A3        = $80; (* European size A3: 297 x  420 *)
 EURO_A4        = $90; (* European size A4: 210 x  297 *)
 EURO_A5        = $A0; (* European size A5: 148 x  210 *)
 EURO_A6        = $B0; (* European size A6: 105 x  148 *)
 EURO_A7        = $C0; (* European size A7:  74 x  105 *)
 EURO_A8        = $D0; (* European size A8:  52 x   74 *)


 CUSTOM_NAME      = $00;
 ALPHA_P_101      = $01;
 BROTHER_15XL     = $02;
 CBM_MPS1000      = $03;
 DIAB_630         = $04;
 DIAB_ADV_D25     = $05;
 DIAB_C_150       = $06;
 EPSON            = $07;
 EPSON_JX_80      = $08;
 OKIMATE_20       = $09;
 QUME_LP_20       = $0A;
 HP_LASERJET      = $0B;
 HP_LASERJET_PLUS = $0C;

 SBUF_512   = $00;
 SBUF_1024  = $01;
 SBUF_2048  = $02;
 SBUF_4096  = $03;
 SBUF_8000  = $04;
 SBUF_16000 = $05;

 SREAD_BITS  = $F0;
 SWRITE_BITS = $0F;

 SSTOP_BITS    = $F0;
 SBUFSIZE_BITS = $0F;

 SPARITY_BITS  = $F0;
 SHSHAKE_BITS  = $0F;

 SPARITY_NONE = 0;
 SPARITY_EVEN = 1;
 SPARITY_ODD  = 2;
 SPARITY_MARK = 3;
 SPARITY_SPACE= 4;

 SHSHAKE_XON  = 0;
 SHSHAKE_RTS  = 1;
 SHSHAKE_NONE = 2;


 CORRECT_RED   = $0001;
 CORRECT_GREEN = $0002;
 CORRECT_BLUE  = $0004;

 CENTER_IMAGE  = $0008;

 IGNORE_DIMENSIONS   = $0000;
 BOUNDED_DIMENSIONS  = $0010;
 ABSOLUTE_DIMENSIONS = $0020;
 PIXEL_DIMENSIONS    = $0040;
 MULTIPLY_DIMENSIONS = $0080;
 INTEGER_SCALING     = $0100;

 ORDERED_DITHERING  = $0000;
 HALFTONE_DITHERING = $0200;
 FLOYD_DITHERING    = $0400;

 ANTI_ALIAS  = $0800;
 GREY_SCALE2 = $1000;

 CORRECT_RGB_MASK = (CORRECT_RED or CORRECT_GREEN or CORRECT_BLUE);
 DIMENSIONS_MASK  = (BOUNDED_DIMENSIONS or ABSOLUTE_DIMENSIONS or PIXEL_DIMENSIONS or MULTIPLY_DIMENSIONS);
 DITHERING_MASK   = (HALFTONE_DITHERING or FLOYD_DITHERING);

{$endif}
