{$if not def INTUITION_SCREENS_H } CONST INTUITION_SCREENS_H=true;

{ *********************************************************************
  ** KickPascal-Include-Datei "intuition/screens.h" zu Kickstart 3.0 **
  ********************************************************************* }

TYPE p_Screen = ^Screen;
TYPE p_DrawInfo = ^DrawInfo;
TYPE p_PubScreenNode =  ^PubScreenNode;
TYPE p_NewScreen = ^NewScreen;
TYPE p_ExtNewScreen = ^ExtNewScreen;
TYPE p_ScreenBuffer = ^ScreenBuffer;

{$if not def INTUITION_INTUITION_H;incl "intuition/intuition.h";endif}
{$if not def GRAPHICS_GFX_H;incl "graphics/gfx.h";endif}
{$if not def GRAPHICS_CLIP_H;incl "graphics/clip.h";endif}
{$if not def GRAPHICS_VIEW_H;incl "graphics/view.h";endif}
{$if not def GRAPHICS_RASTPORT_H;incl "graphics/rastport.h";endif}
{$if not def GRAPHICS_LAYERS_H;incl "graphics/layers.h";endif}
{$if not def UTILITY_TAGITEM_H;incl "utility/tagitem.h";endif}


CONST
 DRI_VERSION = 2;

TYPE DrawInfo = RECORD
 dri_Version    : Word;
 dri_NumPens    : Word;
 dri_Pens       : ^Word;
 dri_Font       : p_TextFont;
 dri_Depth      : Word;
 dri_Resolution : RECORD
                  X : Word;
                  Y : Word;
                  END;
 dri_Flags      : Long;
 dri_CheckMark  : p_Image;
 dri_AmigaKey   : p_Image;
 dri_Reserved   : ARRAY[0..4] OF Long;
END;


CONST
 DRIF_NEWLOOK  = $00000001;


CONST
 _DETAILPEN        = $0000; { "_" ergnzt }
 _BLOCKPEN         = $0001; { "_" ergnzt }
 TEXTPEN           = $0002;
 SHINEPEN          = $0003;
 SHADOWPEN         = $0004;
 FILLPEN           = $0005;
 FILLTEXTPEN       = $0006;
 BACKGROUNDPEN     = $0007;
 HIGHLIGHTTEXTPEN  = $0008;
 
 BARDETAILPEN      = $0009;
 BARBLOCKPEN       = $000A;
 BARTRIMPEN        = $000B;

 NUMDRIPENS   = $000C;

CONST
 PEN_C3 = $FEFC;
 PEN_C2 = $FEFD;
 PEN_C1 = $FEFE;
 PEN_C0 = $FEFF;


TYPE Screen = RECORD
 NextScreen   : p_Screen;
 FirstWindow  : p_Window; 
 LeftEdge     : Integer;
 TopEdge      : Integer ;
 Width        : Integer;
 Height       : Integer;
 MouseY       : Integer;
 MouseX       : Integer;
 Flags        : Word;
 Title        : Str;
 DefaultTitle : Str;
 BarHeight    : Short;
 BarVBorder   : Short;
 BarHBorder   : Short;
 MenuVBorder  : Short;
 MenuHBorder  : Short;
 WBorTop      : Short;
 WBorLeft     : Short;
 WBorRight    : Short;
 WBorBottom   : Short;
 Font         : p_TextAttr;
 ViewPort     : ViewPort;
 RastPort     : RastPort;
 BitMap       : BitMap;
 LayerInfo    : Layer_Info;
 FirstGadget  : p_Gadget;
 DetailPen    : Byte;
 BlockPen     : Byte;
 SaveColor0   : Word;
 BarLayer     : p_Layer;
 ExtData      : Ptr;
 UserData     : Ptr;
END;

CONST
 SCREENTYPE    = $000F;
 WBENCHSCREEN  = $0001;
 PUBLICSCREEN  = $0002;
 CUSTOMSCREEN  = $000F;

CONST
 _SHOWTITLE   = $0010; { "_" ergnzt }
 BEEPING      = $0020;
 CUSTOMBITMAP = $0040;
 SCREENBEHIND = $0080;
 SCREENQUIET  = $0100;
 SCREENHIRES  = $0200;
 NS_EXTENDED  = $1000;
 AUTOSCROLL   = $4000;
 PENSHARED    = $0400;


CONST
 STDSCREENHEIGHT = -1;
 STDSCREENWIDTH  = -1;

CONST
 SA_Dummy       = (TAG_USER + 32);
 SA_Left        = (SA_Dummy+$0001);
 SA_Top         = (SA_Dummy+$0002);
 SA_Width       = (SA_Dummy+$0003);
 SA_Height      = (SA_Dummy+$0004);
 SA_Depth       = (SA_Dummy+$0005);
 SA_DetailPen   = (SA_Dummy+$0006);
 SA_BlockPen    = (SA_Dummy+$0007);
 SA_Title       = (SA_Dummy+$0008);
 SA_Colors      = (SA_Dummy+$0009);
 SA_ErrorCode   = (SA_Dummy+$000A);
 SA_Font        = (SA_Dummy+$000B);
 SA_SysFont     = (SA_Dummy+$000C);
 SA_Type        = (SA_Dummy+$000D);
 SA_BitMap      = (SA_Dummy+$000E);
 SA_PubName     = (SA_Dummy+$000F);
 SA_PubSig      = (SA_Dummy+$0010);
 SA_PubTask     = (SA_Dummy+$0011);
 SA_DisplayID   = (SA_Dummy+$0012);
 SA_DClip       = (SA_Dummy+$0013);
 SA_Overscan    = (SA_Dummy+$0014);
 SA_Obsolete1   = (SA_Dummy+$0015);
 SA_ShowTitle   = (SA_Dummy+$0016);
 SA_Behind      = (SA_Dummy+$0017);
 SA_Quiet       = (SA_Dummy+$0018);
 SA_AutoScroll  = (SA_Dummy+$0019);
 SA_Pens        = (SA_Dummy+$001A);
 SA_FullPalette = (SA_Dummy+$001B);
 
 SA_ColorMapEntries = (SA_Dummy+$001C);
 SA_Parent      = (SA_Dummy+$001D);
 SA_Draggable   = (SA_Dummy+$001E);
 SA_Exclusive   = (SA_Dummy+$001F);
 SA_SharePens   = (SA_Dummy+$0020);
 SA_BackFill    = (SA_Dummy+$0021); 
 SA_Interleaved = (SA_Dummy+$0022);
 SA_Colors32    = (SA_Dummy+$0023);
 SA_VideoControl= (SA_Dummy+$0024);
 SA_FrontChild  = (SA_Dummy+$0025);
 SA_BackChild   = (SA_Dummy+$0026);
 SA_LikeWorkbench = (SA_Dummy+$0027);

 SA_Reserved    = (SA_Dummy+$0028);



{$if not def NSTAG_EXT_VPMODE}
CONST NSTAG_EXT_VPMODE = (TAG_USER or 1);
{$endif}

CONST
 OSERR_NOMONITOR    = 1;
 OSERR_NOCHIPS      = 2;
 OSERR_NOMEM        = 3;
 OSERR_NOCHIPMEM    = 4;
 OSERR_PUBNOTUNIQUE = 5;
 OSERR_UNKNOWNMODE  = 6;
 OSERR_TOODEEP      = 7;
 OSERR_ATTACHFAIL   = 8;
 OSERR_NOTAVAILABLE = 9;
 

TYPE NewScreen = RECORD
 LeftEdge     : Integer;
 TopEdge      : Integer;
 Width        : Integer;
 Height       : Integer;
 Depth        : Integer;
 DetailPen    : Byte
 BlockPen     : Byte;
 ViewModes    : Word;
 _Type        : Word;       { "_" ergnzt }
 Font         : p_TextAttr;
 DefaultTitle : Str;
 Gadgets      : p_Gadget;
 CustomBitMap : p_BitMap;
END;


TYPE ExtNewScreen = RECORD
 LeftEdge     : Integer;
 TopEdge      : Integer;
 Width        : Integer;
 Height       : Integer;
 Depth        : Integer;
 DetailPen    : Byte
 BlockPen     : Byte;
 ViewModes    : Word;
 _Type        : Word;        { "_" ergnzt }
 Font         : p_TextAttr;
 DefaultTitle : Str;
 Gadgets      : p_Gadget;
 CustomBitMap : p_BitMap;
 Extension    : p_TagItem;
END;

CONST
 OSCAN_TEXT     = 1;
 OSCAN_STANDARD = 2;
 OSCAN_MAX      = 3;
 OSCAN_VIDEO    = 4;



TYPE PubScreenNode = RECORD
 psn_Node         : Node;
 psn_Screen       : p_Screen;
 psn_Flags        : Word;
 psn_Size         : Integer;
 psn_VisitorCount : Word;
 psn_SigTask      : p_Task;
 psn_SigBit       : Byte;
END;

CONST PSNF_PRIVATE  = $0001;

CONST MAXPUBSCREENNAME = 139;

CONST
 SHANGHAI     = $0001;
 POPPUBSCREEN = $0002;

CONST
 SDEPTH_TOFRONT = 0;
 SDEPTH_TOBACK  = 1;
 SDEPTH_INFAMILY= 2;
 
 SDEPTH_CHILDONLY=SDEPTH_INFAMILY;

 
CONST
 SPOS_RELATIVE    = 0;
 SPOS_ABSOLUTE    = 1;
 SPOS_MAKEVISIBLE = 2;
 SPOS_FORCEDRAG   = 3;
 

TYPE ScreenBuffer = RECORD
 sb_BitMap   : p_BitMap;
 sb_DBufInfo : p_DBufInfo;
end;

CONST
 SB_SCREEN_BITMAP       = 1;
 SB_COPY_BITMAP         = 2;
 
{$endif}
